%define         tarname  zope.interface
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Summary:        Zope 3 Interface Infrastructure
Name:           python-zope-interface
Version:        4.1.3
Release:        %mkrel 2
Source0:        https://pypi.python.org/packages/source/z/%{tarname}/%{tarname}-%{version}.tar.gz
License:        ZPLv2.1
Group:          Development/Python
URL:            http://docs.zope.org/zope.interface/
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pythonegg(2)(nose)

%description
Interfaces are a mechanism for labeling objects as conforming to a given API
or contract.

This is a separate distribution of the zope.interface package used in Zope 3.

%package -n python3-zope-interface
Summary:        Zope 3 Interface Infrastructure
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)
BuildRequires:  pythonegg(3)(nose)

%description -n python3-zope-interface
Interfaces are a mechanism for labeling objects as conforming to a given API
or contract.

This is a separate distribution of the zope.interface package used in Zope 3.

%prep
%setup -q -n zope.interface-%{version}
rm -rf %{tarname}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install

# Will put docs in %%{_docdir} instead
%{__rm} -f %{buildroot}%{python3_sitearch}/zope/interface/{,tests/}*.txt

# C files don't need to be packaged
%{__rm} -f %{buildroot}%{python3_sitearch}/zope/interface/_zope_interface_coptimizations.c
popd

%py2_install

# Will put docs in %%{_docdir} instead
%{__rm} -f %{buildroot}%{python2_sitearch}/zope/interface/{,tests/}*.txt

# C files don't need to be packaged
%{__rm} -f %{buildroot}%{python2_sitearch}/zope/interface/_zope_interface_coptimizations.c


%check
PYTHONPATH=$(pwd) nosetests

pushd %{py3dir}
PYTHONPATH=$(pwd) nosetests-%{python3_version}
popd

%files
%doc README.rst LICENSE.txt CHANGES.rst COPYRIGHT.txt docs/
%{python2_sitearch}/zope/interface/
# Co-own %%{python_sitearch}/zope/
%dir %{python2_sitearch}/zope/
%exclude %{python2_sitearch}/zope/interface/tests/
%exclude %{python2_sitearch}/zope/interface/common/tests/
%{python2_sitearch}/zope.interface-*.egg-info
%{python2_sitearch}/zope.interface-*-nspkg.pth

%files -n python3-zope-interface
%doc README.rst LICENSE.txt CHANGES.rst COPYRIGHT.txt docs/
%{python3_sitearch}/zope/interface/
# Co-own %%{python3_sitearch}/zope/
%dir %{python3_sitearch}/zope/
%exclude %{python3_sitearch}/zope/interface/tests/
%exclude %{python3_sitearch}/zope/interface/common/tests/
%{python3_sitearch}/zope.interface-*.egg-info
%{python3_sitearch}/zope.interface-*-nspkg.pth




%changelog
* Fri Feb 12 2016 umeabot <umeabot> 4.1.3-2.mga6
+ Revision: 958698
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 daviddavid <daviddavid> 4.1.3-1.mga6
+ Revision: 888117
- new version: 4.1.3

* Fri Oct 09 2015 daviddavid <daviddavid> 4.1.1-5.mga6
+ Revision: 888113
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 4.1.1-4.mga5
+ Revision: 742422
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.1.1-3.mga5
+ Revision: 730063
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.1.1-2.mga5
+ Revision: 688446
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 philippem <philippem> 4.1.1-1.mga5
+ Revision: 669660
- update to 4.1.1

* Sat May 31 2014 pterjan <pterjan> 4.1.0-2.mga5
+ Revision: 629120
- Rebuild for new Python

* Mon May 19 2014 philippem <philippem> 4.1.0-1.mga5
+ Revision: 623957
- update to 4.1.0

* Tue Oct 22 2013 umeabot <umeabot> 4.0.5-3.mga4
+ Revision: 544521
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 4.0.5-2.mga4
+ Revision: 499794
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jul 05 2013 philippem <philippem> 4.0.5-1.mga4
+ Revision: 450345
- Update to 4.0.5

* Sun Jan 13 2013 umeabot <umeabot> 4.0.2-2.mga3
+ Revision: 379736
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 philippem <philippem> 4.0.2-1.mga3
+ Revision: 334171
- Update to 4.0.2
- Add Python3 package

* Sat Sep 08 2012 philippem <philippem> 4.0.1-1.mga3
+ Revision: 290146
- New upstream release 4.0.1

* Mon Jan 09 2012 philippem <philippem> 3.7.0-1.mga2
+ Revision: 194094
- Update to 3.7.0.
- Clean licence
- Add check

* Wed Jan 19 2011 erwan <erwan> 3.6.1-1.mga1
+ Revision: 24929
- imported package python-zope-interface


* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.6.1-1mdv2011.0
+ Revision: 603077
- update to new version 3.6.1

* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 3.5.3-2mdv2011.0
+ Revision: 590793
- rebuild

* Wed Feb 24 2010 Lev Givon <lev@mandriva.org> 3.5.3-1mdv2010.1
+ Revision: 510736
- Update to 3.5.3.

* Thu Sep 17 2009 Michael Scherer <misc@mandriva.org> 3.5.2-1mdv2010.0
+ Revision: 443922
- update to 3.5.2
- new url to download tarball

* Mon Aug 31 2009 Paulo Andrade <pcpa@mandriva.com.br> 3.5.0-3mdv2010.0
+ Revision: 423101
- install python scripts in py_platsitedir

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 3.5.0-2mdv2009.1
+ Revision: 324058
- New upstream release

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 3.4.1-2mdv2009.1
+ Revision: 318614
- rebuild for python 2.6

* Sun Aug 17 2008 Lev Givon <lev@mandriva.org> 3.4.1-1mdv2009.0
+ Revision: 273067
- Update to 3.4.1.

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 3.3.0-4mdv2009.0
+ Revision: 219584
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 3.3.0-3mdv2008.0
+ Revision: 67517
- rebuild
- rebuild

* Wed Apr 25 2007 Lev Givon <lev@mandriva.org> 3.3.0-1mdv2008.0
+ Revision: 18066
- Update to 3.3.0.


* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 3.0.1-2mdv2007.0
+ Revision: 88145
- Import python-zope-interface

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 3.0.1-2mdv2007.1
- update file list

* Mon May 09 2005 Michael Scherer <misc@mandriva.org> 3.0.1-1mdk
- Initial package

